IHMPlateau

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class IHMPlateau

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          chkoba.IHMPlateau

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class IHMPlateau

extends javax.swing.JFrame
implements java.awt.event.ActionListener

Classe IHMPlateau

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private DonneePartie` | `adversaire`
`private java.util.ArrayList<ICarte>` | `aPrendre`
`private java.awt.Color` | `c`
`private ICarte` | `cartas`
`private BoutonCarte` | `carteCourante`
`private javax.swing.JButton` | `carteD`
`private BoutonCarte` | `carteDeuxTemp`
`private javax.swing.JLabel` | `carteGagneAdv`
`private BoutonCarte` | `carteGagneJoueur`
`private java.util.ArrayList<BoutonCarte>` | `carteMain`
`private java.util.ArrayList<BoutonCarte>` | `carteTapis`
`private BoutonCarte` | `carteTroisTemp`
`private BoutonCarte` | `carteUnTemp`
`private javax.swing.JButton` | `chat`
`private int` | `compt`
`private Couleur` | `coul`
`private Couleur` | `coul1`
`private CarteRamassage` | `cRam`
`private boolean` | `creer`
`private java.awt.Cursor` | `cursor`
`private java.util.Date` | `dateCourante`
`private javax.swing.JLabel` | `dessousTable1`
`private javax.swing.JLabel` | `dessousTable2`
`private javax.swing.JLabel` | `dessousTable3`
`private Index` | `ind`
`private int` | `index`
`private javax.swing.JMenu` | `jmAffichage`
`private javax.swing.JMenu` | `jmAide`
`private javax.swing.JMenu` | `jmAPropos`
`private javax.swing.JMenuBar` | `jmbMenu`
`private javax.swing.JMenu` | `jmFichier`
`private javax.swing.JMenuItem` | `jmiAPropos`
`private javax.swing.JMenuItem` | `jmiAstuce`
`private javax.swing.JMenuItem` | `jmiManuel`
`private javax.swing.JMenuItem` | `jmiNouveau`
`private javax.swing.JMenu` | `jmInterro`
`private javax.swing.JMenuItem` | `jmiOption`
`private javax.swing.JMenuItem` | `jmiQuitter`
`private javax.swing.JMenuItem` | `jmiRegles`
`private javax.swing.JMenuItem` | `jmiSkin`
`private javax.swing.JMenuItem` | `jmiStatistiques`
`private DonneePartie` | `joueur`
`private java.lang.String` | `joueur1`
`private java.lang.String` | `joueur2`
`private javax.swing.JPanel` | `jpCartePlateau`
`private javax.swing.JPanel` | `jpCentral`
`private javax.swing.JPanel` | `jpPrincipal`
`private javax.swing.JTextField` | `jtfNomJoueur1`
`private javax.swing.JTextField` | `jtfNomJoueur2`
`private javax.swing.JLabel` | `mainJoueurFace`
`private java.util.ArrayList<java.lang.Integer>` | `manuels`
`private javax.swing.JLabel` | `monscore`
`private javax.swing.JTextField` | `montscore`
`private java.lang.Integer` | `nbjoueur`
`private int` | `nbJoueurIA`
`private int` | `nbJoueursMan`
`private int` | `numJoueur1`
`private int` | `numJoueur2`
`private java.awt.Point` | `p`
`private javax.swing.JPanel` | `pdecoD`
`private javax.swing.JPanel` | `pdecoF`
`private javax.swing.JPanel` | `pdecoG`
`private javax.swing.JLabel` | `pioche`
`private IPlateau` | `pl`
`private javax.swing.JLabel` | `sonscore`
`private javax.swing.JTextField` | `sontscore`
`private javax.swing.JLabel` | `testPan4`
`private ThreadActu` | `thread`
`private java.awt.Toolkit` | `tk`
`private java.util.ArrayList<ICarte>` | `tmpTapis`
`private int` | `val`
`private int` | `val1`
`private javax.swing.JLabel` | `vide2`
`private javax.swing.JLabel` | `vide3`
`private javax.swing.JLabel` | `vide4`
`private javax.swing.JLabel` | `vide5`
`private javax.swing.JLabel` | `vide6`
`private javax.swing.JLabel` | `vide7`
`private javax.swing.JLabel` | `vide8`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`IHMPlateau(Index i, java.lang.Boolean creer, int nbJoueursMan, java.lang.String nom)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `actualiser()` Methode tres importante car elle rafraichie le plateau a chaque fois qu'un joueur joue, verifie si la partie se termine etc,
`void` | `changeSkin(int i)`
`void` | `defausse(BoutonCarte uneCarteMain)` Methode qui permet de se defausser d'une carte
`void` | `faireJouerLIA(int nombreDeIA)`
`void` | `gagneCarte(BoutonCarte bCMain, BoutonCarte bCTapis)` methode pour prendre une carte du tapis
`IPlateau` | `getPlateau()` Methode utile pour les threads d'actualisation en reseau
`void` | `prendre(BoutonCarte bCMain, BoutonCarte bCTapis)` Methode prendre qui va appeler la methode prendre de PlateauImpl (Liens entre console et GUI)
`void` | `recupCurseur(BoutonCarte bC)`
`void` | `remettreCarte(BoutonCarte bCMain)`
`void` | `verif(BoutonCarte bC)` Methode qui ne permet d'afficher que les cartes presentent car les boutons cartes reste present sur le tapis toute la partie en les mettant a false il se sont pas cliquable et cela eviete les erreurs

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### jpPrincipal

    private javax.swing.JPanel jpPrincipal

### jpCentral

    private javax.swing.JPanel jpCentral

### pdecoD

    private javax.swing.JPanel pdecoD

### pdecoG

    private javax.swing.JPanel pdecoG

### pdecoF

    private javax.swing.JPanel pdecoF

### jpCartePlateau

    private javax.swing.JPanel jpCartePlateau

### jtfNomJoueur1

    private javax.swing.JTextField jtfNomJoueur1

### jtfNomJoueur2

    private javax.swing.JTextField jtfNomJoueur2

### montscore

    private javax.swing.JTextField montscore

### sontscore

    private javax.swing.JTextField sontscore

### jmbMenu

    private javax.swing.JMenuBar jmbMenu

### jmFichier

    private javax.swing.JMenu jmFichier

### jmAffichage

    private javax.swing.JMenu jmAffichage

### jmAide

    private javax.swing.JMenu jmAide

### jmAPropos

    private javax.swing.JMenu jmAPropos

### jmInterro

    private javax.swing.JMenu jmInterro

### jmiNouveau

    private javax.swing.JMenuItem jmiNouveau

### jmiStatistiques

    private javax.swing.JMenuItem jmiStatistiques

### jmiOption

    private javax.swing.JMenuItem jmiOption

### jmiQuitter

    private javax.swing.JMenuItem jmiQuitter

### jmiManuel

    private javax.swing.JMenuItem jmiManuel

### jmiAPropos

    private javax.swing.JMenuItem jmiAPropos

### jmiAstuce

    private javax.swing.JMenuItem jmiAstuce

### jmiRegles

    private javax.swing.JMenuItem jmiRegles

### jmiSkin

    private javax.swing.JMenuItem jmiSkin

### monscore

    private javax.swing.JLabel monscore

### sonscore

    private javax.swing.JLabel sonscore

### testPan4

    private javax.swing.JLabel testPan4

### mainJoueurFace

    private javax.swing.JLabel mainJoueurFace

### vide2

    private javax.swing.JLabel vide2

### vide3

    private javax.swing.JLabel vide3

### vide4

    private javax.swing.JLabel vide4

### vide5

    private javax.swing.JLabel vide5

### vide6

    private javax.swing.JLabel vide6

### vide7

    private javax.swing.JLabel vide7

### pioche

    private javax.swing.JLabel pioche

### carteGagneAdv

    private javax.swing.JLabel carteGagneAdv

### vide8

    private javax.swing.JLabel vide8

### dessousTable1

    private javax.swing.JLabel dessousTable1

### dessousTable2

    private javax.swing.JLabel dessousTable2

### dessousTable3

    private javax.swing.JLabel dessousTable3

### adversaire

    private DonneePartie adversaire

### joueur

    private DonneePartie joueur

### carteTapis

    private java.util.ArrayList<BoutonCarte> carteTapis

### carteMain

    private java.util.ArrayList<BoutonCarte> carteMain

### carteUnTemp

    private BoutonCarte carteUnTemp

### carteDeuxTemp

    private BoutonCarte carteDeuxTemp

### carteTroisTemp

    private BoutonCarte carteTroisTemp

### carteGagneJoueur

    private BoutonCarte carteGagneJoueur

### carteCourante

    private BoutonCarte carteCourante

### chat

    private javax.swing.JButton chat

### carteD

    private javax.swing.JButton carteD

### c

    private java.awt.Color c

### coul

    private Couleur coul

### coul1

    private Couleur coul1

### val

    private int val

### val1

    private int val1

### index

    private int index

### compt

    private int compt

### nbjoueur

    private java.lang.Integer nbjoueur

### nbJoueurIA

    private int nbJoueurIA

### numJoueur1

    private int numJoueur1

### numJoueur2

    private int numJoueur2

### nbJoueursMan

    private int nbJoueursMan

### ind

    private Index ind

### pl

    private IPlateau pl

### tk

    private java.awt.Toolkit tk

### p

    private java.awt.Point p

### cursor

    private java.awt.Cursor cursor

### manuels

    private java.util.ArrayList<java.lang.Integer> manuels

### tmpTapis

    private java.util.ArrayList<ICarte> tmpTapis

### aPrendre

    private java.util.ArrayList<ICarte> aPrendre

### cartas

    private ICarte cartas

### joueur1

    private java.lang.String joueur1

### joueur2

    private java.lang.String joueur2

### creer

    private boolean creer

### thread

    private ThreadActu thread

### cRam

    private CarteRamassage cRam

### dateCourante

    private java.util.Date dateCourante

Constructor Detail

### IHMPlateau

    public IHMPlateau(Index i,
                      java.lang.Boolean creer,
                      int nbJoueursMan,
                      java.lang.String nom)

Method Detail

### getPlateau

    public IPlateau getPlateau()

  Methode utile pour les threads d'actualisation en reseau

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### changeSkin

    public void changeSkin(int i)

### remettreCarte

    public void remettreCarte(BoutonCarte bCMain)

### recupCurseur

    public void recupCurseur(BoutonCarte bC)

### defausse

    public void defausse(BoutonCarte uneCarteMain)

  Methode qui permet de se defausser d'une carte

### gagneCarte

    public void gagneCarte(BoutonCarte bCMain,
                           BoutonCarte bCTapis)

  methode pour prendre une carte du tapis

### faireJouerLIA

    public void faireJouerLIA(int nombreDeIA)

### actualiser

    public void actualiser()

  Methode tres importante car elle rafraichie le plateau a chaque fois qu'un joueur joue, verifie si la partie se termine etc,

### prendre

    public void prendre(BoutonCarte bCMain,
                        BoutonCarte bCTapis)

  Methode prendre qui va appeler la methode prendre de PlateauImpl (Liens entre console et GUI)

### verif

    public void verif(BoutonCarte bC)

  Methode qui ne permet d'afficher que les cartes presentent car les boutons cartes reste present sur le tapis toute la partie en les mettant a false il se sont pas cliquable et cela eviete les erreurs

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD